Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Interface ASN1TaggedObjectParser

All Superinterfaces:
  ASN1Encodable, InMemoryRepresentable

All Known Implementing Classes:
  ASN1TaggedObject

public interface ASN1TaggedObjectParser
extends ASN1Encodable, InMemoryRepresentable

Interface for the parsing of a generic tagged ASN.1 object.

Method Summary
`int` | `getTagClass()` Return the tag class associated with this object.
`int` | `getTagNo()` Return the tag number associated with this object.
`boolean` | `hasContextTag()`
`boolean` | `hasContextTag(int tagNo)`
`boolean` | `hasTag(int tagClass, int tagNo)`
`boolean` | `hasTagClass(int tagClass)`
`ASN1Encodable` | `parseBaseUniversal(boolean declaredExplicit, int baseTagNo)`
`ASN1Encodable` | `parseExplicitBaseObject()` Needed for open types, until we have better type-guided parsing support.
`ASN1TaggedObjectParser` | `parseExplicitBaseTagged()`
`ASN1TaggedObjectParser` | `parseImplicitBaseTagged(int baseTagClass, int baseTagNo)`

Methods inherited from interface org.bouncycastle.asn1.ASN1Encodable
`toASN1Primitive`

Methods inherited from interface org.bouncycastle.asn1.InMemoryRepresentable
`getLoadedObject`

Method Detail

### getTagClass

    public int getTagClass()

  Return the tag class associated with this object.

  Returns:
    the tag class.

### getTagNo

    public int getTagNo()

  Return the tag number associated with this object.

  Returns:
    the tag number.

### hasContextTag

    public boolean hasContextTag()

### hasContextTag

    public boolean hasContextTag(int tagNo)

### hasTag

    public boolean hasTag(int tagClass,
                          int tagNo)

### hasTagClass

    public boolean hasTagClass(int tagClass)

### parseBaseUniversal

    public ASN1Encodable parseBaseUniversal(boolean declaredExplicit,
                                            int baseTagNo)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseExplicitBaseObject

    public ASN1Encodable parseExplicitBaseObject()
                                          throws java.io.IOException

  Needed for open types, until we have better type-guided parsing support. Use sparingly for other purposes, and prefer `parseExplicitBaseTagged()` or `parseBaseUniversal(boolean, int)` where possible. Before using, check for matching tag `class` and `number`.

  Throws:
    `java.io.IOException`

### parseExplicitBaseTagged

    public ASN1TaggedObjectParser parseExplicitBaseTagged()
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseImplicitBaseTagged

    public ASN1TaggedObjectParser parseImplicitBaseTagged(int baseTagClass,
                                                          int baseTagNo)
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD